Subject: [nfsv4] FW: New Version Notification for draft-faibish-data-reduction-xattrs-pvt-00.txt

From: <[email-masked]>
Date: Fri, 28 Jun 2019 11:03:47 +0000

Spencer,

-----Original Message-----
From: [email-masked] <[email-masked]> 
Sent: Friday, June 28, 2019 6:54 AM
To: Shilane, Philip; faibish, sorin; Black, David
Subject: New Version Notification for draft-faibish-data-reduction-xattrs-pvt-00.txt

[EXTERNAL EMAIL] 

A new version of I-D, draft-faibish-data-reduction-xattrs-pvt-00.txt
has been successfully submitted by Sorin Faibish and posted to the IETF repository.

Name:		draft-faibish-data-reduction-xattrs-pvt
Revision:	00
Title:		Support for Data Reduction Extended Attributes in nfsv4 Version 2
Document date:	2019-06-27
Group:		Individual Submission
Pages:		12
URL:            https://www.ietf.org/internet-drafts/draft-faibish-data-reduction-xattrs-pvt-00.txt
Status:         https://datatracker.ietf.org/doc/draft-faibish-data-reduction-xattrs-pvt/
Htmlized:       https://tools.ietf.org/html/draft-faibish-data-reduction-xattrs-pvt-00
Htmlized:       https://datatracker.ietf.org/doc/html/draft-faibish-data-reduction-xattrs-pvt

Abstract:
   This document proposes extending NFSv4 operations to enable
   file extended attributes or xattr to be used in the protocol to
   provide information about the data reduction properties of files.
   New xattrs are proposed to allow the client application to
   communicate to the NFSv4 server data reduction attributes
   associated with files and directories using opaque metadata, not
   interpreted by the file system, but communicated to the Block
   Storage data reduction engines. Corresponding new file attributes
   are proposed to allow clients and client applications to query the
   server for data reduction xattr support and allow to get and set
   data reduction xattrs on files and directories. Such data reduction
   metadata is used as hints to the file server about what type of data
   reduction to apply. The proposed data reduction attributes include
   achievable ratios for compression and deduplication plus whether
   each data reduction technique applies to the file.

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat

[sf] I resubmitted the draft as a personal draft per your request. I want to ask if possible to get 10 min during next WG meeting to present the draft. Thank you

./Sorin